petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMGetCoordinateDim

Retrieve the dimension of embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetCoordinateDim(DM dm, PetscInt *dim)

Not Collective Many br

### Input Parameter

dm -The DM object Many br

### Output Parameter

dim -The embedding dimension Many br

Many br

### Keywords

mesh, coordinates

### See Also

DMSetCoordinateDim(), DMGetCoordinateSection(), DMGetCoordinateDM(), DMGetDefaultSection(), DMSetDefaultSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html